package iteriere;

import java.util.function.Consumer;

public interface Schleife<E> {
	void init(E x);
	boolean test();
	void step();
	E get();
	default void run(Consumer<E> consume) {
		for (;test();step()) {
			var x = get();
			consume.accept(x);
		}
	}
}
